Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nvidia-drivers wants to rebuild infinitely [fixed]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
danomac
l33t
l33t


Joined: 06 Nov 2004
Posts: 873
Location: Vancouver, BC

PostPosted: Fri May 29, 2015 4:17 pm    Post subject: nvidia-drivers wants to rebuild infinitely [fixed] Reply with quote

I have an older GT240 in my htpc, and I've just went through the emul-linux transition.

I upgraded nvidia-drivers, and to my discovery, udev hangs processing events. I discovered that my card is no longer supported >340.76.

So I installed nvidia-drivers-340.76 (masking newer versions) and of course it relies on the emul-linux libs. It continually wanted me to emerge @preserved-rebuild, so I removed the offending files and that message has gone.

The issue still remains, as revdep-rebuild still wants to continually rebuild nvidia-drivers.

It appears all cards below 5xx (?) has been dropped in versions >340, so is there any way to fix this issue? I am not going to buy a $100 video card when there's nothing wrong with the one I have.

Is it possible to force unmask the emul-linux libraries it needs?


Last edited by danomac on Sat May 30, 2015 1:14 am; edited 2 times in total
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7285
Location: almost Mile High in the USA

PostPosted: Fri May 29, 2015 4:35 pm    Post subject: Reply with quote

Since that ebuild isn't in the repository, you're on your own. I'd submit a bug for the devs to remove the dependency on emul-linux if it had been an official ebuild.

Have you tried the OSS nouveau driver? It's not great but seems to do its job on my nvidia boards. Granted these boards don't see much 3d action.
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
danomac
l33t
l33t


Joined: 06 Nov 2004
Posts: 873
Location: Vancouver, BC

PostPosted: Fri May 29, 2015 4:39 pm    Post subject: Reply with quote

Aaand I'm an idiot. I meant 340.76, it's still in the tree. Damn typos. I'll open a bug later. Some of the cards not supported by the new driver versions are only 3-4 years old.

Edit: Bug filed.
Back to top
View user's profile Send private message
danomac
l33t
l33t


Joined: 06 Nov 2004
Posts: 873
Location: Vancouver, BC

PostPosted: Sat May 30, 2015 1:13 am    Post subject: Reply with quote

Fixed it!

revdep-rebuild told me the offending library and I discovered it's sys-libs/zlib.

During the transition from emul-*, portage missed sys-libs/zlib as one of the packages that needed abi_x86_32, and it was compiled without it.

I've set abi_x86_32 for sys-libs/zlib, recompiled it, and re-merged nvidia-drivers, and all is happy with the world now.

I've made a note on the bug, maybe this dependency can be added to the ebuild so this doesn't happen to others.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum